python-congressclient_1.9.0-0ubuntu1_all.deb


Advertisement

Description

python-congressclient - client for the open policy framework for the cloud - Python 2.x

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-congressclient_1.9.0-0ubuntu1_all.deb
Package name python-congressclient
Package version 1.9.0
Package release 0ubuntu1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/stackforge/python-congressclient
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 21.58 KB
Installed size 156.00 KB
Congress is an open policy framework for the cloud. With Congress, a cloud
operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
cloud environment. Congress get inputs from a cloud's various cloud services;
for example in Openstack, Congress fetches information about VMs from Nova,
and network state from Neutron, etc. Congress then feeds input data from those
services into its policy engine where Congress verifies that the cloud's
actual state abides by the cloud operator's policies. Congress is designed to
work with any policy and any cloud service.
This package provides a cli and a Python 2.x client module.

Alternatives

Package Version Architecture Repository
python-congressclient_1.9.0-0ubuntu1_all.deb 1.9.0 all Ubuntu Universe
python-congressclient - - -

Requires

Name Value
python-babel >= 2.3.4
python-cliff >= 2.8.0
python-keystoneauth1 >= 3.3.0
python-openstackclient -
python-oslo.i18n >= 3.15.3
python-oslo.log >= 3.30.0
python-oslo.serialization >= 2.18.0
python-oslo.utils >= 3.16.0
python-pbr >= 2.0.0
python-requests >= 2.10.0
python-six >= 1.10.0
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-congressclient_1.9.0-0ubuntu1_all.deb
Source Package python-congressclient

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-congressclient deb package:
    # sudo apt-get install python-congressclient

Files

Path
/usr/lib/python2.7/dist-packages/congressclient/__init__.py
/usr/lib/python2.7/dist-packages/congressclient/exceptions.py
/usr/lib/python2.7/dist-packages/congressclient/i18n.py
/usr/lib/python2.7/dist-packages/congressclient/common/__init__.py
/usr/lib/python2.7/dist-packages/congressclient/common/parseractions.py
/usr/lib/python2.7/dist-packages/congressclient/common/utils.py
/usr/lib/python2.7/dist-packages/congressclient/osc/__init__.py
/usr/lib/python2.7/dist-packages/congressclient/osc/osc_plugin.py
/usr/lib/python2.7/dist-packages/congressclient/osc/v1/__init__.py
/usr/lib/python2.7/dist-packages/congressclient/osc/v1/api_versions.py
/usr/lib/python2.7/dist-packages/congressclient/osc/v1/datasource.py
/usr/lib/python2.7/dist-packages/congressclient/osc/v1/driver.py
/usr/lib/python2.7/dist-packages/congressclient/osc/v1/policy.py
/usr/lib/python2.7/dist-packages/congressclient/tests/__init__.py
/usr/lib/python2.7/dist-packages/congressclient/tests/base.py
/usr/lib/python2.7/dist-packages/congressclient/tests/common.py
/usr/lib/python2.7/dist-packages/congressclient/tests/fakes.py
/usr/lib/python2.7/dist-packages/congressclient/tests/utils.py
/usr/lib/python2.7/dist-packages/congressclient/tests/v1/__init__.py
/usr/lib/python2.7/dist-packages/congressclient/tests/v1/test_api_versions.py
/usr/lib/python2.7/dist-packages/congressclient/tests/v1/test_datasource.py
/usr/lib/python2.7/dist-packages/congressclient/tests/v1/test_drivers.py
/usr/lib/python2.7/dist-packages/congressclient/tests/v1/test_policy.py
/usr/lib/python2.7/dist-packages/congressclient/v1/__init__.py
/usr/lib/python2.7/dist-packages/congressclient/v1/client.py
/usr/lib/python2.7/dist-packages/python_congressclient-1.9.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/python_congressclient-1.9.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/python_congressclient-1.9.0.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/python_congressclient-1.9.0.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/python_congressclient-1.9.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/python_congressclient-1.9.0.egg-info/top_level.txt
/usr/share/doc/python-congressclient/changelog.Debian.gz
/usr/share/doc/python-congressclient/copyright

Changelog

2018-01-24 - Corey Bryant <corey.bryant@canonical.com>
python-congressclient (1.9.0-0ubuntu1) bionic; urgency=medium
* New upstream release.
* d/*: wrap-and-sort -bast.
* d/control: Align (Build-)Depends with upstream.
* d/control: Update Standards-Version to 4.1.2.
* d/control: Bump debhelper compat to 10.
* d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
2017-08-09 - Corey Bryant <corey.bryant@canonical.com>
python-congressclient (1.8.0-0ubuntu1) artful; urgency=medium
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
* d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
sphinx extension until sphinx>=1.6.2 is available.
2017-01-24 - Chuck Short <zulcss@ubuntu.com>
python-congressclient (1.6.0-0ubuntu1) zesty; urgency=medium
[ Corey Bryant ]
* d/gbp.conf: Update gbp configuration file.
* d/control: Update Vcs-* links and maintainers.
[ Chuck Short ]
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
2016-09-02 - James Page <james.page@ubuntu.com>
python-congressclient (1.5.0-0ubuntu1) yakkety; urgency=medium
[ Corey Bryant ]
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
[ James Page ]
* Align (Build-)Depends with upstream.
2016-07-12 - Thomas Goirand <zigo@debian.org>
python-congressclient (1.3.0-1) experimental; urgency=medium
[ Ondřej Nový ]
* Standards-Version is 3.9.8 now (no change)
* d/rules: Removed UPSTREAM_GIT with default value
* d/copyright: Changed source URL to new one
[ Corey Bryant ]
* New upstream release.
* d/gbp.conf: Update debian-branch for Newton.
* d/control: Align (Build-)Depends with upstream.
[ Thomas Goirand ]
* Using pkgos-dh_auto_{test,install}.
2016-04-04 - Thomas Goirand <zigo@debian.org>
python-congressclient (1.2.3-2) unstable; urgency=medium
* Uploading to unstable.
2016-03-21 - Thomas Goirand <zigo@debian.org>
python-congressclient (1.2.3-1) experimental; urgency=medium
[ David Della Vecchia ]
* New upstream release.
* d/control: Align depends with upstream.
[ Corey Bryant ]
* d/control, d/rules, d/python-congressclient.doc-base: Add
python-congressclient-doc binary package.
* d/control, d/rules: Add Python3 binary package.
* d/control: Update uploaders.
[ Ondřej Nový ]
* Fixed VCS URLs (https).
[ Thomas Goirand ]
* New upstream release.
* Fixed (build-)depends for this release.
* Standards-Version: 3.9.7 (no change).
* Fixed debian/copyright ordering.
2015-12-10 - Thomas Goirand <zigo@debian.org>
python-congressclient (1.2.0-1) unstable; urgency=medium
* New upstream release.
* Fixed (build-)depends for this release.
2015-10-15 - Thomas Goirand <zigo@debian.org>
python-congressclient (1.1.0-2) unstable; urgency=medium
* Uploading to unstable.
2015-08-04 - Ivan Udovichenko <iudovichenko@mirantis.com>
python-congressclient (1.1.0-1) experimental; urgency=medium
* New upstream release.
* Update dependencies.
* Add myself to Uploaders field

See Also

Package Description
python-construct.legacy_2.5.3-2_all.deb legacy fork of declarative binary data parser/builder (Python 2)
python-construct_2.8.16-0.2_all.deb powerful declarative parser (and builder) for binary data
python-contract_1.4-4_all.deb Programming by contract for Python
python-convoy_0.2.1+bzr39-1_all.deb WSGI app for loading multiple files in the same request
python-cookiecutter-doc_1.6.0-2_all.deb create projects from project templates (documentation)
python-cookiecutter_1.6.0-2_all.deb create projects from project templates (Python 2 module)
python-cookies_2.2.1-1_all.deb Python RFC 6265-compliant cookie parser and renderer
python-coreapi_2.3.3-2_all.deb Python client library for Core API
python-corepywrap_1.005-5build1_i386.deb library that exports C++ mmCIF accessors to Python
python-coreschema_0.0.4-1_all.deb Python utilities to describe an abstract data schema to coreapi
python-couchdb_0.10-1.1_all.deb library for working with Apache CouchDB
python-couchdbkit_0.6.5-2_all.deb Trying to improve couchdb experience in Python
python-couleur_0.5.0-4_all.deb tool to play around with ANSI features in a unix terminal
python-cov-core_1.15.0-2_all.deb plugin core for use by pytest-cov, nose-cov and nose2-cov
python-coverage-doc_4.5+dfsg.1-3_all.deb code coverage tool for Python — documentation
Advertisement
Advertisement